:: This batch file uses the Bulk Rename Utility Tool - the commandline version BRC (http://www.bulkrenameutility.co.uk).
:: Please be aware that to use Bulk Rename Utility within a business entity, company or for commercial purposes, a commercial license is required. 
:: The main goal is to replace the names of the *.cdf files with the names of their parent folder.
:: Both versions (32- and 64-bit) of BRC tools are included and the correct one is used automatically based on you Windows version.

:: Set the INFOLDER and OUTFOLDER according to your requirements
set INFOLDER="C:\YOUR_PATH\cdfstore\aia-IN"
set OUTFOLDER="C:\YOUR_PATH\cdfstore\aia-OUT" 

:: 1. Find out if this Windows is 64-bit or 32-bit
 echo off
Set RegQry=HKLM\Hardware\Description\System\CentralProcessor\0
REG.exe Query %RegQry% > checkOS.txt
Find /i "x86" < CheckOS.txt > StringCheck.txt
 
If %ERRORLEVEL% == 0 (
    Set OsType="32Bit"
	echo "We are running 32bit version of Windows OS -> BRC32"
) ELSE (
    Set OsType="64Bit"
	echo "We are running 64bit version of Windows OS -> BRC64"
)

:: 2. Rename (set the paths to the .exe files based on the location in your computer)
If %OsType%=="32Bit" (
    C:\YOUR_PATH\cdfstore\brc\brc32\BRC32.exe /DIR:%INFOLDER%  /RECURSIVE /PATTERN:"*.cdf" /CUTFIRSTN:6 /APPENDFOLDER:P::1 /REPLACECS:.AIA:_ /EXECUTE
) ELSE (
    C:\YOUR_PATH\cdfstore\brc\brc64\BRC64.exe /DIR:%INFOLDER%  /RECURSIVE /PATTERN:"*.cdf" /CUTFIRSTN:6 /APPENDFOLDER:P::1 /REPLACECS:.AIA:_ /EXECUTE
)
 
:: 3. Move to specified folder of the structure
::    Set the target outside the structure, otherwise the files will get renamed again to the new parent name!
FOR /R %INFOLDER% %%G IN (*.cdf) DO move "%%G" %OUTFOLDER%
 
:: 4. Remove the folders from the structure - use only if there are no other files then the moved *.cdf files
FOR /D %%G IN (%INFOLDER%"\*.*") DO rmdir "%%G" /s /q